Subject: [mpls] Question on TE-MIB.

From: "Alan Davey" <[email-masked]>
Date: Tue, 25 Jan 2005 11:49:34 -0000

Hi

I have a query relating to RFC3812, the MPLS TE-MIB.

How are the mplsTunnelIngressLSRId and mplsTunnelEgressLSRId objects intended to be used for RSVP-TE IPv6 tunnels?

I note that

-	the description of the mplsTunnelIngressLSRId states that, for RSVP, the value SHOULD be equal to the Tunnel Sender Address in the Sender Template object and MAY be equal to the Extended Tunnel Id field in the SESSION object.

-	for IPv6, RFC3209 defines the Tunnel Sender Address to be an IPv6 address and the Extended Tunnel ID to be a 16-byte value.

-	the syntax of the mplsTunnelIngressLSRId and mplsTunnelEgressLSRId objects is MplsExtendedTunnelId, that is Unsigned32(0..4294967295).

Further, the mplsTunnelEgressLSRId needs to be routable in the TE routing domain, and needs to be converted to an IPv6 address to use as the IPv6 tunnel end point address in the RSVP SESSION object.

I also note that the issue of configuring of IPv6 tunnels has been raised in the mailing list before but I cannot find any resolution.

-	Arun Satyanarayana raised the point on the mailing list on 26 June 2003 in response to the WG last call on the TE-MIB module but I cannot find any response

-	Tom Nadeau suggested, on 2 June 2000, adding mplsTunnelSrcAddrType, mplsTunnelSrcAddrIPv4 and mplsTunnelSrcAddrIPv6 as index fields to the mplsTunnelTable.  However, these fields were not added in the next revision of the draft.  Again, I cannot find any emails explaining why the change was not implemented.

Can anyone tell me

-	why Tom's suggestion was not implemented

-	how RSVP-TE IPv6 tunnels are configured using the current TE-MIB definition?

Thanks in advance

Alan Davey

------------------------------------
Alan Davey
Data Connection Ltd
Tel:   +44 20 8366 1177       
Fax:   +44 20 8363 1039
Email: [email-masked]  
Web:   http://www.dataconnection.com 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls